Subject: Re: [oauth-ext-review] Request for registration of OAuth request parameter response_mode

From: Brian Campbell <[email-masked]>
Date: Thu, 21 Mar 2019 08:00:41 +0100

Hannes?

On Fri, Jan 18, 2019 at 9:25 PM Mike Jones <[email-masked]>
wrote:

> Hannes, you’re the designated expert for this request.  Can you please
> approve it?
>
>
>
>                                                        Thanks,
>
>                                                        -- Mike
>
>
>
> *From:* Brian Campbell <[email-masked]>
> *Sent:* Friday, January 18, 2019 8:40 AM
> *To:* Mike Jones <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: Request for registration of OAuth request parameter
> response_mode
>
>
>
> Following up on this to reiterate the request to designated expert(s) to
> request that IANA register the response_mode parameter in the IANA OAuth
> Parameters registry. According to
> https://tools.ietf.org/html/rfc6749?#section-11.2 IANA must only accept
> registry updates from the Designated Expert(s) and such requests are to be
> made through this list.
>
>
>
> The contents of the registration request are at
> https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#OAuthParametersRegistry
> and copied below for easy reference.
>
>
> 6.2.  OAuth Parameters Registration
>
> This specification registers the following parameter in the IANA OAuth
> Parameters registry defined in RFC 6749
> <https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#RFC6749>
> [RFC6749].
>
>
> ------------------------------
>
>  TOC
> <https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#toc>
> 6.2.1.  Registry Contents
>
> ·        Parameter name: response_mode
>
> ·        Parameter usage location: Authorization Request
>
> ·        Change controller: OpenID Foundation Artifact Binding Working
> Group - [email-masked]
>
> ·        Specification document(s): Section 2.1
> <https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#ResponseModes>
> of this document
>
> ·        Related information: None
>
>
>
>
>
>
>
> On Tue, Aug 7, 2018 at 1:46 PM Mike Jones <[email-masked]>
> wrote:
>
>
>
> -----Original Message-----
> From: Openid-specs-ab <[email-masked]> On
> Behalf Of Brian Campbell via Openid-specs-ab
> Sent: Tuesday, August 7, 2018 12:41 PM
> To: [email-masked]
> Cc: Brian Campbell <[email-masked]>
> Subject: [Openid-specs-ab] Issue #1044: response_mode parameter
> registration missing (openid/connect)
>
>
>
> New issue 1044: response_mode parameter registration missing
> https://bitbucket.org/openid/connect/issues/1044/response_mode-parameter-registration
>
>
>
> Brian Campbell:
>
>
>
> OAuth 2.0 Multiple Response Type Encoding Practices defines the
> response_mode authorization parameter and even has a registration request
> for it at
> http://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#OAuthParametersRegistry
> however the response_mode parameter is not in the OAuth Parameters registry
> https://www.iana.org/assignments/oauth-parameters/oauth-parameters.xhtml#parameters
>
>
>
> I imagine it's just something that got overlooked in the process of
> finalizing OAuth 2.0 Multiple Response Type Encoding Practices. But it
> should probably be fixed at some point. I guess/assume one could just
> follow up with IANA about it?
>
>
>
> _______________________________________________
>
> Openid-specs-ab mailing list
>
> [email-masked]<mailto:[email-masked]>
>
> http://lists.openid.net/mailman/listinfo/openid-specs-ab
>
>
> *CONFIDENTIALITY NOTICE: This email may contain confidential and
> privileged material for the sole use of the intended recipient(s). Any
> review, use, distribution or disclosure by others is strictly prohibited.
> If you have received this communication in error, please notify the sender
> immediately by e-mail and delete the message and any file attachments from
> your computer. Thank you.*
>

-- 
_CONFIDENTIALITY NOTICE: This email may contain confidential and privileged 
material for the sole use of the intended recipient(s). Any review, use, 
distribution or disclosure by others is strictly prohibited.  If you have 
received this communication in error, please notify the sender immediately 
by e-mail and delete the message and any file attachments from your 
computer. Thank you._

---

From: Brian Campbell <[email-masked]>
Date: Thu, 21 Mar 2019 10:15:51 +0100

Hannes, I know you exist and are still alive because I'm sitting behind you
and have the attached photo to prove it. Please acknowledge this request

---

From: Brian Campbell <[email-masked]>
Date: Fri, 22 Mar 2019 09:12:01 +0100

And this morning, Hannes, I even had breakfast with you! You can't hide
forever. Many months maybe but not forever.

On Thu, Mar 21, 2019, 10:15 AM Brian Campbell <[email-masked]>
wrote:

> Hannes, I know you exist and are still alive because I'm sitting behind
> you and have the attached photo to prove it. Please acknowledge this
> request
>
>>> [email-masked]<mailto:[email-masked]
>>> >
>>>

---

From: Brian Campbell <[email-masked]>
Date: Fri, 22 Mar 2019 11:12:56 +0100

Further proof of the existence of Hannes. Q.E.D.

Would the gentlemen in the photo please approve the registration request?

On Fri, Mar 22, 2019, 9:12 AM Brian Campbell <[email-masked]>
wrote:

>>>> Following up on this to reiterate the request to designated expert(s)
>>>> to request that IANA register the response_mode parameter in the IANA OAuth
>>>> https://tools.ietf.org/html/rfc6749?#section-11.2 IANA must only
>>>> accept registry updates from the Designated Expert(s) and such requests are
>>>> to be made through this list.
>>>>
>>>>
>>>>

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 27 Mar 2019 17:41:54 +0000

I just spoke with Mike about this request and I approve the registration of the response_mode parameter to the IANA OAuth Parameters registry.

IANA OAuth Parameters registry
•        Parameter name: response_mode
•        Parameter usage location: Authorization Request
•        Change controller: OpenID Foundation Artifact Binding Working Group - [email-masked]<mailto:[email-masked]>
•        Specification document(s): Section 2.1<https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#ResponseModes> of at https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html<https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#OAuthParametersRegistry>
•        Related information: None

From: Brian Campbell <[email-masked]>
Sent: Freitag, 22. März 2019 11:13
To: Mike Jones <[email-masked]>
Cc: Hannes Tschofenig <[email-masked]>; [email-masked]
Subject: Re: Request for registration of OAuth request parameter response_mode

On Fri, Mar 22, 2019, 9:12 AM Brian Campbell <[email-masked]<mailto:[email-masked]>> wrote:
And this morning, Hannes, I even had breakfast with you! You can't hide forever. Many months maybe but not forever.

On Thu, Mar 21, 2019, 10:15 AM Brian Campbell <[email-masked]<mailto:[email-masked]>> wrote:
Hannes, I know you exist and are still alive because I'm sitting behind you and have the attached photo to prove it. Please acknowledge this request
On Thu, Mar 21, 2019, 8:00 AM Brian Campbell <[email-masked]<mailto:[email-masked]>> wrote:
Hannes?

On Fri, Jan 18, 2019 at 9:25 PM Mike Jones <[email-masked]<mailto:[email-masked]>> wrote:
Hannes, you’re the designated expert for this request.  Can you please approve it?

                                                       Thanks,
                                                       -- Mike

From: Brian Campbell <[email-masked]<mailto:[email-masked]>>
Sent: Friday, January 18, 2019 8:40 AM
To: Mike Jones <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: Request for registration of OAuth request parameter response_mode

Following up on this to reiterate the request to designated expert(s) to request that IANA register the response_mode parameter in the IANA OAuth Parameters registry. According to https://tools.ietf.org/html/rfc6749?#section-11.2 IANA must only accept registry updates from the Designated Expert(s) and such requests are to be made through this list.

The contents of the registration request are at https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#OAuthParametersRegistry and copied below for easy reference.

This specification registers the following parameter in the IANA OAuth Parameters registry defined in RFC 6749<https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#RFC6749> [RFC6749].

________________________________
 TOC <https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#toc>

6.2.1.  Registry Contents
•        Parameter name: response_mode
•        Parameter usage location: Authorization Request
•        Change controller: OpenID Foundation Artifact Binding Working Group - [email-masked]<mailto:[email-masked]>
•        Specification document(s): Section 2.1<https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#ResponseModes> of this document
•        Related information: None

On Tue, Aug 7, 2018 at 1:46 PM Mike Jones <[email-masked]<mailto:[email-masked]>> wrote:

-----Original Message-----
From: Openid-specs-ab <[email-masked]<mailto:[email-masked]>> On Behalf Of Brian Campbell via Openid-specs-ab
Sent: Tuesday, August 7, 2018 12:41 PM
To: [email-masked]<mailto:[email-masked]>
Cc: Brian Campbell <[email-masked]<mailto:[email-masked]>>
Subject: [Openid-specs-ab] Issue #1044: response_mode parameter registration missing (openid/connect)

New issue 1044: response_mode parameter registration missing https://bitbucket.org/openid/connect/issues/1044/response_mode-parameter-registration

Brian Campbell:

OAuth 2.0 Multiple Response Type Encoding Practices defines the response_mode authorization parameter and even has a registration request for it at http://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#OAuthParametersRegistry however the response_mode parameter is not in the OAuth Parameters registry https://www.iana.org/assignments/oauth-parameters/oauth-parameters.xhtml#parameters

I imagine it's just something that got overlooked in the process of finalizing OAuth 2.0 Multiple Response Type Encoding Practices. But it should probably be fixed at some point. I guess/assume one could just follow up with IANA about it?

[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>

CONFIDENTIALITY NOTICE: This email may contain confidential and privileged material for the sole use of the intended recipient(s). Any review, use, distribution or disclosure by others is strictly prohibited.  If you have received this communication in error, please notify the sender immediately by e-mail and delete the message and any file attachments from your computer. Thank you.

CONFIDENTIALITY NOTICE: This email may contain confidential and privileged material for the sole use of the intended recipient(s). Any review, use, distribution or disclosure by others is strictly prohibited.  If you have received this communication in error, please notify the sender immediately by e-mail and delete the message and any file attachments from your computer. Thank you.
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.